Create a task template
curl --request POST \
--url https://api.quiva.ai/workspaces/task-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": [
"<string>"
],
"folder": "<string>",
"reporter": "<string>",
"assignees": [
"<string>"
],
"estimate": {
"time_in_seconds": 123
},
"task_actions": [
{
"description": "<string>"
}
]
}
'import requests
url = "https://api.quiva.ai/workspaces/task-template"
payload = {
"name": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": ["<string>"],
"folder": "<string>",
"reporter": "<string>",
"assignees": ["<string>"],
"estimate": { "time_in_seconds": 123 },
"task_actions": [{ "description": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
vertical: '<string>',
priority: '<string>',
tags: ['<string>'],
folder: '<string>',
reporter: '<string>',
assignees: ['<string>'],
estimate: {time_in_seconds: 123},
task_actions: [{description: '<string>'}]
})
};
fetch('https://api.quiva.ai/workspaces/task-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'vertical' => '<string>',
'priority' => '<string>',
'tags' => [
'<string>'
],
'folder' => '<string>',
'reporter' => '<string>',
'assignees' => [
'<string>'
],
'estimate' => [
'time_in_seconds' => 123
],
'task_actions' => [
[
'description' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task-template"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/task-template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": [
"<string>"
],
"folder": "<string>",
"reporter": "<string>",
"assignees": [
"<string>"
],
"estimate": {
"time_in_seconds": 123
},
"task_actions": [
{
"kind": "form",
"description": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}API Reference
Create a task template
Seeds priority, tags, folder, reporter, assignees, estimate and actions onto a task made from it. It never seeds status or due date.
POST
/
workspaces
/
task-template
Create a task template
curl --request POST \
--url https://api.quiva.ai/workspaces/task-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": [
"<string>"
],
"folder": "<string>",
"reporter": "<string>",
"assignees": [
"<string>"
],
"estimate": {
"time_in_seconds": 123
},
"task_actions": [
{
"description": "<string>"
}
]
}
'import requests
url = "https://api.quiva.ai/workspaces/task-template"
payload = {
"name": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": ["<string>"],
"folder": "<string>",
"reporter": "<string>",
"assignees": ["<string>"],
"estimate": { "time_in_seconds": 123 },
"task_actions": [{ "description": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
vertical: '<string>',
priority: '<string>',
tags: ['<string>'],
folder: '<string>',
reporter: '<string>',
assignees: ['<string>'],
estimate: {time_in_seconds: 123},
task_actions: [{description: '<string>'}]
})
};
fetch('https://api.quiva.ai/workspaces/task-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'vertical' => '<string>',
'priority' => '<string>',
'tags' => [
'<string>'
],
'folder' => '<string>',
'reporter' => '<string>',
'assignees' => [
'<string>'
],
'estimate' => [
'time_in_seconds' => 123
],
'task_actions' => [
[
'description' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task-template"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/task-template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"vertical\": \"<string>\",\n \"priority\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"estimate\": {\n \"time_in_seconds\": 123\n },\n \"task_actions\": [\n {\n \"description\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"vertical": "<string>",
"priority": "<string>",
"tags": [
"<string>"
],
"folder": "<string>",
"reporter": "<string>",
"assignees": [
"<string>"
],
"estimate": {
"time_in_seconds": 123
},
"task_actions": [
{
"kind": "form",
"description": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Body
application/json
Shown in the template picker and used as the new task's title.
Groups templates. Empty means generic.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Shown in the template picker and used as the new task's title.
Server-minted, tt_ followed by random characters.
Groups templates. Empty means generic.
Show child attributes
Show child attributes
Show child attributes
Show child attributes